using System;
using System.Collections.Generic;
using System.Text;

namespace MSISFeed
{
    /// <summary>
    /// Structure for sending unread count adjustments to delegate for updating UI 
    /// </summary>
    public struct UnreadCountAdjustment
    {
        public int Id;
        public int FolderId;
        public int UnreadDelta;
        public bool IsFolder;

        public UnreadCountAdjustment(int folderId, int id, int unreadDelta, bool isFolder)
        {
            FolderId = folderId;
            Id = id;
            UnreadDelta = unreadDelta;
            IsFolder = isFolder;
        }
    }
}
