using System;
using System.Collections.Generic;
using System.Text;

namespace MSIS
{
    /// <summary>
    /// Static helper class for general application information
    /// </summary>
    public static class App
    {
        private static string appPath;

        public static string GetApplicationPath()
        {
            if(appPath == null)
            {
                string codeBase = System.Reflection.Assembly.GetExecutingAssembly().GetName().CodeBase;
                appPath = codeBase.Substring(0, codeBase.LastIndexOf(@"\",StringComparison.CurrentCulture) + 1);
            }

            return appPath;
        }
    }
}
