﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MSIS.webservices.ntnuemail;
namespace MSIS
{
    public partial class Compose : Form
    {
        string uid = null;
        public Compose()
        {
            
            //InitializeComponent();
        }
        public Compose(string id)
        {
            uid = id;
            InitializeComponent();
        }

        private void Compose_Load(object sender, EventArgs e)
        {
            to.Text = "username@stud.ntnu.no";
            subject.Text = "subject here";
            bod.Text = "message here";
        }

        private void menuItem2_Click(object sender, EventArgs e)
        {
            inputPanel1.Enabled = true;
            string[] fields = new string[3];
            if (to.Text != null)
                fields[0] = to.Text;
            else
                MessageBox.Show("Please fill TO: field");
            if (subject.Text != null)
                fields[1] = subject.Text;
            else
                MessageBox.Show("Please fill Subject: field");
            if (bod.Text != null)
                fields[2] = bod.Text;
            else
                MessageBox.Show("Message is empty");
            if (fields[0] != null && fields[1] != null && fields[2] != null) {
                NtnuEmailService twt = new NtnuEmailService();
                Cursor.Current = Cursors.WaitCursor;
                try
                {
                    bool result = twt.SendEmail(fields, uid);
                    Cursor.Current = Cursors.Default;
                    if (result)
                        MessageBox.Show("Message sent");
                    else
                        MessageBox.Show("Message not sent");
                }
                catch (Exception ex) {
                    MessageBox.Show("Inavlid email address", "Error");
                    Cursor.Current = Cursors.Default;
                }
            }
            inputPanel1.Enabled = false;
            
        }

        private void menuItem1_Click(object sender, EventArgs e)
        {
            this.Close();
        }
        
    }
}