﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MSIS.webservices.ntnuemail;

namespace MSIS
{
    public partial class InboxList : Form
    {
        Panel p = null;
        EmailUser user = null;
        int start, end, total;
        MyListView olv = null;
        EMessages[] msgs = null;
        EMessages[] submsgs = new EMessages[7];
        public InboxList() { }
        public InboxList(EMessages[] subj, int s,  int t,string id, string pa)
        {
            InitializeComponent();
            user = new EmailUser();
            user.EID = id;
            user.EPassword = pa;
            p = new Panel();
            p.Width = 530;
            p.Height = 560;
            
            msgs = subj;
            start = s;
            if (t > 7)
                end = 7;
            else
                end = t;
            total = t-1;
            int c = 0;
            for (int i =0; i<end ; i++) {

                   
                submsgs[c++] = subj[start-i];

            }

           // start = start - 7;
           CustomListView(submsgs, 7);

        }
        public void CustomListView(EMessages[] ts, int c)
        {
            //Envelope env = new Envelope();
           // InitializeComponent();
            olv= new MyListView();
             olv.Parent = p;
            // Set the bounds of the listview.
            olv.Bounds = new Rectangle(0, panel1.Height, p.ClientSize.Width, p.ClientSize.Height);
            // Add data items to listview
            for (int i = 0; i <c; i++)
            {
                if (ts[i].Eread == true)
                olv.Items.Add(new MailItem(MailIcon.opened, ts[i].Subject, ts[i].From));
                else
                olv.Items.Add(new MailItem(MailIcon.unopened, ts[i].Subject, ts[i].From));
                //olv.Items.Add(new MailItem(MailIcon.unopened, "James Bond", "Custom ListView"));
            }

            olv.SelectedIndex = 0;
            olv.EnsureVisible(olv.SelectedIndex);
            countlbl.Text = (total)-start+7 + "of(" + total + ")";
            this.Controls.Add(p);
        }

        private void InboxList_Load(object sender, EventArgs e)
        {
            //p.Visible = true;
        }

        private void menuItem2_Click(object sender, EventArgs e)
        {
            int ind = olv.SelectedIndex;
           // MessageBox.Show("You select"+ind);
            NtnuEmailService msc = new NtnuEmailService();
            EMessages m=new EMessages();
                m.From= submsgs[ind].From;
                m.Subject = submsgs[ind].Subject;
               m.Msg = msc.ShowMail(start-ind+1, user.EID, user.EPassword);
               new EMailMsg(m).ShowDialog();

            
        }

        private void menuItem1_Click(object sender, EventArgs e)
        {
            this.Close();
        }


        private void Prebtn_Click(object sender, EventArgs e)
        {
            
            if (start  >= total)
            {
               // start = start + 7;
                
                MessageBox.Show("At start");

            }
            else
            {
                p.Dispose();
                p = new Panel();
                p.Height = 560;
                p.Width = 530;
                start = start + 7;
                int c = 0;
                for (int i = 0; i <= 6; i++)
                {

                    submsgs[c++] = msgs[start-i];
                }

               // start = start -7;
                CustomListView(submsgs, 7);
            }
        }

        private void Nextbtn_Click(object sender, EventArgs e)
        {
            
            if (start <= end)
            {
                
                MessageBox.Show("At the end");
            }
            else
            {
                p.Dispose();
                p = new Panel();
                p.Height = 560;
                p.Width = 530;
                start = start - 7;
                int c = 0;
                for (int i = 0; i <= 6; i++)
                {

                    submsgs[c++] = msgs[start - i];
                }

                
                CustomListView(submsgs, 7);
            }
        }
    }
}