﻿namespace MTwitter.Twitter
{
    /// <summary>
    /// Extends the Timeline class, providing a Url to update from and a FileName to save to locally
    /// </summary>
    public class DirectMessageTimeline : Timeline
    {
        public DirectMessageTimeline(TwitterApi twitterApi)
            : base(twitterApi)
        {
            FileName = "DirectMessageTimeline.xml";
            Url = "http://twitter.com/direct_messages.xml";

            // The root element is not a 'status' element in the Direct Messages feed
            xmlRootElementName = "direct_message";
        }
    }
}
