﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using SmartDeviceTest.myTwitterService;
//using aspNetIMAP;
//using aspNetMime;
namespace SmartDeviceTest
{
    public partial class Inbox : Form
    {
        EMessages[] t = null;
        MyListView olv = null; 
        public Inbox() { }
        public Inbox(EMessages[] subj)
        {
            InitializeComponent();
            t = subj;
            CustomListView(subj);
        }
        public void CustomListView(EMessages[] ts)
        {
            //Envelope env = new Envelope();
            InitializeComponent();
            MyListView olv = new MyListView();
             olv.Parent = this;
            // Set the bounds of the listview.
            olv.Bounds = new Rectangle(0, 30, this.ClientSize.Width, this.ClientSize.Height);
            // Add data items to listview
            for (int i = 0; i <ts.Length; i++)
            {
                olv.Items.Add(new MailItem(MailIcon.opened, ts[i].Subject, ts[i].From));
                //olv.Items.Add(new MailItem(MailIcon.unopened, "James Bond", "Custom ListView"));
            }

            olv.SelectedIndex = 0;
            olv.EnsureVisible(olv.SelectedIndex);
        }
        

        private void Inbox_Load(object sender, EventArgs e)
        {
            
        }

        private void menuItem2_Click(object sender, EventArgs e)
        {
            int m = olv.SelectedIndex;
            //MessageBox.Show("selected index" + m);
            TwitterService tc = new TwitterService();
            Cursor.Current = Cursors.WaitCursor;
            string sub = tc.ShowMail(m);

            Cursor.Current = Cursors.Default;
            new EMail(sub).ShowDialog();
        }

        private void menuItem1_Click(object sender, EventArgs e)
        {

        }

        private void menuItem3_Click(object sender, EventArgs e)
        {
            EMessages[] ms = new EMessages[10];

            int total = t.Length;
            for (int i = 0; i < 10; i++)
                ms[i] = t[i];
            CustomListView(ms);
        }

        private void menuItem4_Click(object sender, EventArgs e)
        {
            EMessages[] ms = new EMessages[10];
            int c = 0;
            int total = t.Length;
            for (int i = 10; i < 20; i++)
                ms[c++] = t[i];
            CustomListView(ms);
        }

        private void button1_Click(object sender, EventArgs e)
        {

        }
    }
}