using System;
using System.Collections.Generic;
using System.Text;

namespace MSIS
{
    /// <summary>
    /// Data interface used by feeds
    /// </summary>
    public interface FeedInterface
    {
        int Id { get;set; }
        int FolderId { get;set; }
        string Address { get;set; }
        string Link { get;set; }
        short ItemLimit { get;set; }
        FeedFormat Format { get;set; }
        string Title { get;set; }
        string Description { get;set; }
        DateTime DownloadedDate { get;set; }
    }
}
