﻿using System;
using System.IO;
using System.Collections.Generic;
using System.Text;

namespace MSIS
{
    public static class Logging
    {
        private static string NOTIFICATION_LOG_PATH = App.GetApplicationPath() + "NotificationLog.txt";

        public static void WriteNotification(NotificationMessage msg)
        {
            using (StreamWriter sw = new StreamWriter(NOTIFICATION_LOG_PATH, true))
            {
                sw.WriteLine(String.Format("{0} {1}\r\n--------------------------------------{2}\r\n"
                    , DateTime.Now.ToShortDateString()
                    , DateTime.Now.ToShortTimeString()
                    , msg.UnformattedMessage));
            }
        }
    }
}
