namespace MSIS
{
    /// <summary>
    /// Structure for maintaining state for folder navigation.
    /// This is used by the main navigation screen in for a generics stack.
    /// </summary>
    public struct SelectedFolder
    {
        public int Id;
        public string Name;
        public int SelectedIndex;
        public string BreadCrumbs;

        public SelectedFolder(int id, string name, int selectedIndex)
        {
            Id = id;
            Name = name;
            SelectedIndex = selectedIndex;
            BreadCrumbs = null;
        }

        public override bool Equals(object obj)
        {
            return this.Id == ((SelectedFolder)obj).Id;
        }
    }
}
