﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MSIS.webservices.ntnuemail;

namespace MSIS
{
    public partial class MailLoginForm : Form
    {
        string id = null;
        string password = null;
        NtnuEmailService login = null;
        public MailLoginForm()
        {
            InitializeComponent();
            login = new NtnuEmailService();
        }

        private void menuItem2_Click(object sender, EventArgs e)
        {
            EmailUser user = new EmailUser();
            if (idText.Text != null || passText.Text != null)
            {
                id = idText.Text;
                password = passText.Text;
                
                user.EID = id;
                user.EPassword = password;
            }
            else
            {
                MessageBox.Show("Please fill the fields", "missing fields");
            }
                string stat=login.MailLogin(user.EID, user.EPassword);
                if (stat == "true")
                {

                    string[] folderlist = login.FolderList(user.EID, user.EPassword);
                    //MessageBox.Show("success"+folderlist[0]);

                    new InboxForm(folderlist, user.EID, user.EPassword).ShowDialog();
                }
                else
                    MessageBox.Show(stat,"Login Failed");
        }

        private void menuItem1_Click(object sender, EventArgs e)
        {
            this.Close();
            
        }
    }
}