﻿namespace MSIS.Twitter
{
    /// <summary>
    /// Extends the Timeline class, providing a Url to update from and a FileName to save to locally
    /// </summary>
    public class MainTimeline : Timeline
    {
        public MainTimeline(TwitterApi twitterApi) : base(twitterApi)
        {
            FileName = "MainTimeline.xml";
            Url = "http://twitter.com/statuses/friends_timeline.xml";
        }
    }
}
