﻿namespace MTwitter.Twitter
{
    /// <summary>
    /// Extends the Timeline class, providing a Url to update from and a FileName to save to locally
    /// </summary>
    public class ReplyTimeline : Timeline
    {
        public ReplyTimeline(TwitterApi twitterApi)
            : base(twitterApi)
        {
            FileName = "ReplyTimeline.xml";
            Url = "http://twitter.com/statuses/replies.xml";
        }
    }
}
