﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using SmartDeviceTest.myTwitterService;

namespace SmartDeviceTest
{
    public partial class MyInbox : Form
    {
        //private System.Windows.Forms.ImageList imageList1;
        //private System.Windows.Forms.TreeView treeViewInbox;
        public MyInbox(string[] inb)
        {
            InitializeComponent();
           // this.treeViewInbox.Bounds = new Rectangle(0, 0, this.ClientSize.Width, this.ClientSize.Height);
            FillMyTreeView(inb);
            this.KeyDown += new KeyEventHandler(Treeview_KeyDown);
        }
        public MyInbox()
        {
            InitializeComponent();
            
        }

        private void MyInbox_Load(object sender, EventArgs e)
        {

        }

        private void btnInb_Click(object sender, EventArgs e)
        {
            TwitterService tc = new TwitterService();
            Cursor.Current = Cursors.WaitCursor;
            EMessages[] sub = tc.GetEmail();
            
            Cursor.Current = Cursors.Default;
            new Inbox(sub).ShowDialog();
        }
        private void FillMyTreeView(string[] inb)
        {


            // Display a wait cursor while the TreeNodes are being created.
            Cursor.Current = Cursors.WaitCursor;

            // Suppress repainting the TreeView until all the objects have been created.
            treeViewInbox.BeginUpdate();

            treeViewInbox.ShowLines = true;
            treeViewInbox.ShowPlusMinus = true;
            treeViewInbox.ShowRootLines = true;

            // Clear the TreeView each time the method is called.
            treeViewInbox.Nodes.Clear();

            // Set the imagelist
            treeViewInbox.ImageList = this.imageList1;
            // Set the default image for all nodes
            treeViewInbox.ImageIndex = 0;
            treeViewInbox.Nodes.Add("Mail Account");
            TwitterService tc = new TwitterService();
            mMailFolder mcount = tc.MessageCounts();
            // Add the nodes
            for (int j = 0; j < inb.Length; j++)
            {
                if(inb[j]!=null)
                treeViewInbox.Nodes[0].Nodes.Add(inb[j]);

            }
            
            //treeViewInbox.Nodes.Add("My Mail");
            treeViewInbox.Nodes[0].Nodes[0].Nodes.Add("Recent("+mcount.MRecentCount+")");
            treeViewInbox.Nodes[0].Nodes[0].Nodes.Add("Unread(" + mcount.MFirstUnread + ")");
            treeViewInbox.Nodes[0].Nodes[0].Nodes.Add("All(" + mcount.MMessageCount + ")");
            //treeViewInbox.Nodes.Add("My Games");

            // Set a specific node image
            treeViewInbox.Nodes[0].ImageIndex = 1;
            treeViewInbox.Nodes[0].SelectedImageIndex = 1;

            treeViewInbox.ExpandAll();



            // Reset the cursor to the default for all controls.
            Cursor.Current = Cursors.Default;

            // Begin repainting the TreeView.
            treeViewInbox.EndUpdate();
        }
        private void Treeview_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyData == Keys.Back)
            {
                return;
            }
            else
                base.OnKeyDown(e);
        }

        private void treeViewInbox_AfterSelect(object sender, TreeViewEventArgs e)
        {
            TreeNode node = treeViewInbox.SelectedNode;
            if (node == null)

                MessageBox.Show("Click: (none)");

            else

                MessageBox.Show("Click: " + e.Node.ToString());  
        }

        private void menuItem4_Click(object sender, EventArgs e)
        {
            new Compose().ShowDialog();
        }
        
 


    }
}